#![feature(never_type)] 
#![feature(asm)] 

#![allow(dead_code)]
#![cfg_attr(debug_assertions, allow(unused_imports))]

#[macro_use] extern crate ad_hoc_iter;
#[macro_use] extern crate bitflags;
#[macro_use] extern crate lazy_static;

use serde::{Serialize, Deserialize};

use jemallocator::Jemalloc;

#[global_allocator]
static GLOBAL: Jemalloc = Jemalloc;

macro_rules! io_err {
    ($kind:ident, $msg:expr) => {
	::std::io::Error::new(::std::io::ErrorKind::$kind, $msg)
    };
    ($msg:expr) => (io_err!(Other, $msg));
}

// Utils
mod ext;
use ext::*;

mod slice;

// Real stuff
mod service;

// Serving
// mod ep;

fn main() {
    // debug_expr!(println!("debug"));
    // debug_expr!(else println!("not debug"));
    // debug_expr!(if println!("debug 2"); else println!("not debug 2"));
    
    println!("Hello, world!");
}
